Package org.eclipse.jface.action

# Class GroupMarker

java.lang.Object
org.eclipse.jface.action.ContributionItem
org.eclipse.jface.action.AbstractGroupMarker
org.eclipse.jface.action.GroupMarker

All Implemented Interfaces:
  `IContributionItem`

Direct Known Subclasses:
  `CoolItemGroupMarker`

@NoExtend public class GroupMarker extends AbstractGroupMarker
A group marker is a special kind of contribution item denoting the beginning of a group. These groups are used to structure the list of items. Unlike regular contribution items and separators, group markers have no visual representation. The name of the group is synonymous with the contribution item id.

This class may be instantiated; it is not intended to be subclassed outside the framework.

## Constructor Summary

Constructors
Constructor
Description
`GroupMarker(String groupName)`
Create a new group marker with the given name.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isVisible()`
The `GroupMarker` implementation of this method returns `false` since group markers are always invisible.

### Methods inherited from class org.eclipse.jface.action.AbstractGroupMarker

`getGroupName, isEnabled, isGroupMarker`

### Methods inherited from class org.eclipse.jface.action.ContributionItem

`dispose, fill, fill, fill, fill, getId, getParent, isDirty, isDynamic, isSeparator, saveWidgetState, setId, setParent, setVisible, toString, update, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GroupMarker

public GroupMarker(String groupName)
Create a new group marker with the given name. The group name must not be `null` or the empty string. The group name is also used as the item id.

Parameters:
  `groupName` - the name of the group

## Method Details

### isVisible

public boolean isVisible()
The `GroupMarker` implementation of this method returns `false` since group markers are always invisible.

Specified by:
  `isVisible` in interface `IContributionItem`
Overrides:
  `isVisible` in class `ContributionItem`
Returns:
  `true` if this item is visible, and `false` otherwise